Add file

  • POST
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /files

Adds a new file to the pipeline filesystem and marks it as a static file

Request

REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

BODY PARAMETERS
contentrequiredstring
The Base64-encoded content of the file
pathrequiredstring
The path of the file in the pipeline filesystem

Response

RESPONSE BODY
statestring
The state of the operation, OK when successful
messagestring
An optional message describing the result of the operation
codeinteger
An optional code with additional details of the result

Last modified on Aug 11, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/files" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "path": "app/docs/report.txt", "content": "Zmlyc3QgbGluZQpsaW5lIHdpdGggcGF0dGVybiBZCmxhc3QgbGluZQ==" }'